# Uses of Class
org.eclipse.ltk.core.refactoring.TextEditChangeGroup

Packages that use TextEditChangeGroup
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.

## Uses of TextEditChangeGroup in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return TextEditChangeGroup
Modifier and Type
Method
Description
`TextEditChangeGroup[]`
TextChange.`getTextEditChangeGroups()`
Returns the `text edit change groups` managed by this text change.
Methods in org.eclipse.ltk.core.refactoring with parameters of type TextEditChangeGroup
Modifier and Type
Method
Description
`void`
TextChange.`addTextEditChangeGroup(TextEditChangeGroup group)`
Adds a `text edit change group`.
`String`
TextChange.`getPreviewContent(TextEditChangeGroup[] changeGroups, IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
Returns a preview of the text change clipped to a specific region.